/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET ESCAPE ON
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK
CREATE OR REPLACE VIEW xxas_vacancies_pub_recent_v
AS
SELECT *
FROM  (SELECT   *
       FROM     xxas_vacancies_pub_v v
       ORDER BY v."posted" DESC);

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_VACANCIES_PUB_RECENT_V'
   ,p_description            => 'Applaud Recent Vacancies');
END;
/

COMMIT;
EXIT;